;**********************************************************************
;* WXPRO.cmd                                                                   *
;* Command file for accessing weather for WEATHERPRO program          *
;* using DUAT access and Quick Path, ENTIRE US                        *
;* -Robert Grace, November 22, 1992                                   *
;**********************************************************************
;
;  Note:  Before using this file, please type in your password, ID 
;  number and N number in the appropriate spots.  (Be sure to use an
;  ASCII editor.) 
;
;  This file saves the data in a file named DATA.txt in your
;  Procomm sub-directory.  I use a batch file to start this file,
;  and it goes to my WXPRO directory and DELetes the file DATA.old, then
;  RENames DATA.txt to DATA.old. After that, it invokes Procomm
;  with this command file.  This file is named WXPRO.cmd, so the appropriate
;  command is "procomm /Fwxpro.cmd".
;
;  Next, the batch file copies DATA.txt to the \wxpro directory, and invokes
;  wxpro with the command "weather data.txt."
; 
;  If you'd like a copy of the "wxpro.bat" file, just yell.  
;
;  Finally, I made a couple of shorter versions of this file for the western
;  eastern US only.  I simply deleted the appropriate states.  This makes the
;  weather download faster, and it speeds up the processing by WXPRO. I named
;  those files WXPROW.cmd and WXPROE.cmd.
;
;  If you have questions, please ask.
; 
;  Hope this helps.  Robert Grace, 74025,150
;
CLEAR 0 14             ; Clear screen   black/yellow 
ALARM 1                ; Prompt for input of GMT time
MESSAGE " " 
MESSAGE "You should access WXPRO weather between :10 and :20 after the"
MESSAGE "hour or between :40 and :50 after the hour."
MESSAGE " "
MESSAGE " "
MESSAGE " "
MESSAGE "Please enter the desired trip time in GMT:  (hhmm--1900)"
GET S1 4 
EMULATE VT100           ;* emulate VT100 terminal                        *
CLEAR 0 13		;* Clear screen, Lt Magenta on Black
IF NOT LINKED
   DIAL "9"             ;* "9" is the phone number of Contel 
ENDIF
TRANSMIT "!"            ;* Transmit Carriage return <CR>                 *
WAITFOR "last name:"    ;* *
TRANSMIT "xxxxxxxx!"    ; where "xxxxxxxx" is your ID number
WAITFOR "Enter your password:" 
TRANSMIT "pppppppp!"    ; where "pppppppp" is your password
WAITFOR "RETURN to continue" 
TRANSMIT "!"   
pause 1
transmit "!"          
WAITFOR "Select function (or 'Q' to quit):"
TRANSMIT "1!"   ;1=Weather Briefing
WAITFOR "Select function (or 'Q' to quit):"
TRANSMIT "3!"      ;2=Local Briefing
WAITFOR "[N12345]"  ; where "N12345" is your default N number
TRANSMIT "!"
WAITFOR "Locations:"
TRANSMIT "gld!"
WAITFOR "Types:"
TRANSMIT "sa!"
WAITFOR "Departure time: UTC (hhmm)"
TRANSMIT  S1      ; This puts your departure time in the system
TRANSMIT "!"
LOG OPEN "data.txt"
WAITFOR "Weather Briefing"
TRANSMIT "#WSC\\ks\sa sd fd\\0200\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\co\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\ne\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\al\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\az\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\ar\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\allca\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\ct\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\de\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\dc\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\fl\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\ga\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\id\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\il\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\in\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\ia\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\ky\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\la\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\me\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\md\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\ma\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\mi\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\mn\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\ms\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\mo\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\mt\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\nv\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\nh\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\nj\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\nm\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\ny\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\nc\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\nd\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\oh\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\ok\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\or\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\pa\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\pr\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\ri\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\sc\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\sd\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\tn\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\alltx\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\ut\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\vt\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\va\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\wa\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\wv\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\wi\\\\q!"
WAITFOR "or 'Q' to quit):"
TRANSMIT "#WSC\\wy\\\\q!"
;WAITFOR "or 'Q' to quit):"     ; These lines are commented out, since I don't
;TRANSMIT "#WSC\\allcn\\\\q!"   ; need Canada or Mexico.  Simply delete the 
;WAITFOR "or 'Q' to quit):"     ; leading semicolor (;) if you want that
;TRANSMIT "#WSC\\mx\\\\q!"      ; weather downloaded.
WAITFOR "Select function (or 'Q' to quit):"
LOG CLOSE
TRANSMIT "q!"
WAITFOR "Select function (or 'Q' to quit):"
TRANSMIT "q!"
WAITFOR "please confirm exit (Y/N)"
TRANSMIT "y!"
ALARM 1                 ;* Sound alarm to confirm your are done
PAUSE 1
HANGUP
QUIT
